#include <SDL2/SDL.h>

typedef struct node
{
	int friction; // 0 to 1000
	double x;
	double y;
} node;

typedef struct muscle
{
	node n1;
	node n2;
	double multiplier;
	int strength; // 0 to 1000
} muscle;

typedef struct creature
{
	muscle muscles[32];
	int musclec;
} creature;

void creature_update(creature *creat, int dt);
void creature_draw(creature *creat, SDL_Renderer *renderer);
